summaryrefslogtreecommitdiffstats
path: root/installer/opengnsys_update.sh
diff options
context:
space:
mode:
authorRamón M. Gómez <ramongomez@us.es>2020-06-16 12:26:06 +0200
committerRamón M. Gómez <ramongomez@us.es>2020-06-16 12:26:06 +0200
commit1de0d12de96289350780e7dd34905ab2e9fbec88 (patch)
tree87a68b5d0232565793631a08e0ed830bc4eccf26 /installer/opengnsys_update.sh
parent7e71f1fe5033bc6a84c34577c682ee1f4ac3f4a6 (diff)
#984: Installer and updater download the OGAgent tarball defined in the version file.
Diffstat (limited to 'installer/opengnsys_update.sh')
-rwxr-xr-xinstaller/opengnsys_update.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/installer/opengnsys_update.sh b/installer/opengnsys_update.sh
index aa981c0a..b562c9cf 100755
--- a/installer/opengnsys_update.sh
+++ b/installer/opengnsys_update.sh
@@ -742,8 +742,13 @@ function updateWebFiles()
# Copiar ficheros en la zona de descargas de OpenGnsys Web Console.
function updateDownloadableFiles()
{
- local FILENAME=ogagentpkgs-$NEWVERSION.tar.gz
- local TARGETFILE=$WORKDIR/$FILENAME
+ local VERSIONFILE OGVERSION FILENAME TARGETFILE
+
+ # Obtener versión a descargar.
+ VERSIONFILE="$INSTALL_TARGET/doc/VERSION.json"
+ OGVERSION="$(jq -r ".ogagent // \"$NEWVERSION\"" $VERSIONFILE 2>/dev/null || echo "$NEWVERSION")"
+ FILENAME="ogagentpkgs-$OGVERSION.tar.gz"
+ TARGETFILE=$WORKDIR/$FILENAME
# Descargar archivo comprimido, si es necesario.
if [ -s $PROGRAMDIR/$FILENAME ]; then